# Promotion

### Fields

#### activated ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether or not this promotion is currently active

#### amountCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of discount that this promotion gives (fixed amount discounts)

#### autoApply ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether or not this promotion will automatically be applied on checkout

#### countryOverrides (\[[PromotionCountryOverride](/graphql-api/api-reference/objects/promotion-country-override.md)!]!)

Country-specific overrides for this promotion

#### deactivateAfterAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount after which the promotion should get deactivated on a customer

#### deactivateAfterTimes ([Int](/graphql-api/api-reference/objects/int.md))

After how many times this promotion is "used up" for a customer

#### deactivationStrategy ([AppliedPromotionDeactivationStrategy](/graphql-api/api-reference/objects/applied-promotion-deactivation-strategy.md)!)

Which mechanism will be used to deactivate the promotion

#### discountType ([PromotionDiscountTypeEnum](/graphql-api/api-reference/objects/promotion-discount-type-enum.md))

The type of this discount: fixed or percentage.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The id of this promotion that can be used to apply the promotion on a subscription.

#### percentDiscount ([Int](/graphql-api/api-reference/objects/int.md))

The percentage of discount that this promotion gives

#### publicName ([String](/graphql-api/api-reference/objects/string.md))

Alternative name to be displayed on invoices and checkout.

#### requiredPlans (\[[Plan](/graphql-api/api-reference/objects/plan.md)!]!)

Plans that are required for this promotion to be applicable.

#### title ([String](/graphql-api/api-reference/objects/string.md)!)

The title of the promotion as it will appear on invoices and in the portal.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/promotion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
